Package org.apache.felix.configadmin.plugin.interpolation

## Interface Interpolator.Provider

Enclosing class:
  Interpolator

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public static interface Interpolator.Provider

The value for the replacement is returned by this provider

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `provide​(String type, String name, Map<String,​String> directives)`

### Method Detail

#### provide

    Object provide​(String type,
                   String name,
                   Map<String,​String> directives)